export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 5,
  title: "场站信息 ",
  addBtn: true,
  editBtn: false,
  delBtn: false,
  excelBtn: true,
  "column": [{
    "type": "input",
    "label": "场站编号",
    "prop": "stationCode",
    rules: [],
  }
    , {
      "type": "input",
      "label": "场站标识",
      "prop": "sign",
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }]
    }
    , {
      "type": "input",
      "label": "电站名称",
      "prop": "name",
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }]
    }
    , {
      "type": "input",
      "label": "别名(上网变电站名称)",
      "prop": "netSubstationName",
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }]
    }
    , {
      "type": "input",
      "label": "场站装机容量(MW)",
      "prop": "capacity",
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }],

    }
    , {
      "type": "select",
      "label": "预测厂家",
      "prop": "forecastManufactor",
      filterable: true,
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }],
      slot: true,
      multiple: true,
      dicUrl: '/forecastmanufactor/all',
    }
    , {
      "type": "input",
      "label": "并网设备数",
      "prop": "gridCE",
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }]
    }
    , {
      "type": "input",
      "label": "场站经度",
      "prop": "longitude",
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }]
    }
    , {
      "type": "input",
      "label": "场站纬度",
      "prop": "latitude",
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }]
    }
    , {
      "type": "input",
      "label": "场站海拔",
      "prop": "altitude",
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }]
    }
    , {
      "type": "select",
      "label": "场站类型",
      "prop": "electricFieldTypeEnum",
      rules: [{
        required: true,
        message: '请选择场站类型',
        trigger: 'blur'
      }],
      dicUrl: '/electricfield/getElectricFieldTypeEnum',
    }
    , {
      "type": "input",
      "label": "入库时间间隔",
      "prop": "timeInterval",
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }]
    }
    , {
      "type": "input",
      "label": "场站所属公司",
      "prop": "company"
    }
    , {
      "type": "input",
      "label": "场站位置",
      "prop": "location"
    }
    , {
      "type": "input",
      "label": "场站面积",
      "prop": "area"
    }
    , {
      "type": "select",
      "label": "上报省调",
      "prop": "provinceEnum",
      filterable: true,
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }],
      dicUrl: '/electricfield/getProvinceEnum',
    }, {
      "type": "select",
      "label": "首页数据所属预测厂家",
      "prop": "belongForecastManufactor",
      filterable: true,
      rules: [{
        required: true,
        message: '不能为空',
        trigger: 'blur'
      }],
      slot: true,
      dicUrl: '/forecastmanufactor/all',
    }

  ]
}
