export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  excelBtn: true,
  editBtn: false,
  delBtn: false,
  title: "逆变器信息 ",
  "column": [
    {
      "type": "select",
      "label": "所属场站",
      "prop": "stationCode",
      rules: [{
        required: true,
        message: '请选择场站编号',
        trigger: 'blur'
      }],
      filterable: true,
      dicUrl: '/electricfield/all'
    },
    {
      "type": "input",
      "label": "设备编号",
      "prop": "equipmentNo",
      rules: [{
        required: true,
        message: '请填写设备编号',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "名称",
      "prop": "name",
      rules: [{
        required: true,
        message: '请填写名称',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "制造商",
      "prop": "manufacturer",
      rules: [{
        required: true,
        message: '请填写制造商',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "型号",
      "prop": "modelNumber",
      rules: [{
        required: true,
        message: '请填写型号',
        trigger: 'blur'
      }],
    }
    , {
      "type": "date",
      "label": "安装时间",
      "format": 'yyyy-MM-dd',
      "valueFormat": 'yyyy-MM-dd',
      "prop": "installationTime",
      rules: [{
        required: true,
        message: '请选择安装时间',
        trigger: 'blur'
      }],
    }
    , {
      "type": "select",
      "label": "入库时间间隔",
      "prop": "timeInterval",
      rules: [{
        required: true,
        message: '请选择入库时间间隔',
        trigger: 'blur'
      }],
      dicData: [{
        value: 1,
        label: '一分钟'
      }, {
        value: 5,
        label: '五分钟'
      }],
    }
    , {
      "type": "select",
      "label": "是否组串式",
      "prop": "groupSeries",
      formatter: (row, value, label, column) => {
        if (value == 0) {
          return label = "不是"
        }
        if (value == 1) {
          return label = "是"
        }
      },
      dicData: [{
        value: 1,
        label: '是'
      }, {
        value: 0,
        label: '否'
      }],
      rules: [{
        required: true,
        message: '请选择是否组串',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "逆变器效率",
      "prop": "efficiency",
      rules: [{
        required: true,
        message: '请填写逆变器效率',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "额定功率",
      "prop": "capacity",
      rules: [{
        required: true,
        message: '请填写额定功率',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "集电线路",
      "prop": "collectorCircuit",
      rules: [{
        required: true,
        message: '请填写集电线路',
        trigger: 'blur'
      }],
    }
    , {
      "type": "select",
      "label": "逆变器是否样板机",
      "prop": "sample",
      formatter: (row, value, label, column) => {
        if (value == 0) {
          return label = "不是"
        }
        if (value == 1) {
          return label = "是"
        }
      },
      dicData: [{
        value: 1,
        label: '是'
      }, {
        value: 0,
        label: '否'
      }],
      rules: [{
        required: true,
        message: '请选择是否样板机',
        trigger: 'blur'
      }],
    }
  ]
}
