export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  title: "逆变器数据 ",
  excelBtn: true,
  menu: false,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  "column": [{
    "type": "select",
    "label": "所属场站",
    "prop": "stationCode",
    rules: [{
      required: true,
      message: '请填写场站编号',
      trigger: 'blur'
    }],
    filterable: true,
    dicUrl: '/electricfield/all'
  },
    {
      "type": "input",
      "label": "设备编号",
      "prop": "equipmentId",
      dicUrl: '/inverterinfo/all'
    }
    , {
      "type": "input",
      "label": "状态",
      "prop": "status",
      formatter: (row, value, label, column) => {
        if (value == 1) {
          return label = "运行"
        }
        if (value == 2) {
          return label = "待机"
        }
        if (value == 3) {
          return label = "停用"
        }
        if (value == 5) {
          return label = "故障"
        }
      }
    }
    , {
      "type": "datetime",
      "label": "时间",
      "format": 'yyyy-MM-dd HH:mm',
      "valueFormat": 'yyyy-MM-dd HH:mm:ss',
      "prop": "time"
    }, {
      "type": "input",
      "label": "有功(KW)",
      "prop": "activePower"
    }
    , {
      "type": "input",
      "label": "无功(KVar)",
      "prop": "reactivePower"
    }
    , {
      "type": "input",
      "label": "功率因数",
      "prop": "powerFactor"
    }
    , {
      "type": "input",
      "label": "电压",
      "prop": "voltage"
    }
    , {
      "type": "input",
      "label": "电流",
      "prop": "electricalCurrent"
    }
    , {
      "type": "input",
      "label": "当日发电量",
      "prop": "dayElectricQuantity"
    }
    , {
      "type": "input",
      "label": "累积发电量",
      "prop": "cumulativeGeneratedEnergy"
    }
    , {
      "type": "input",
      "label": "当日并网小时数",
      "prop": "dayGridConnectedHours"
    }
  ]
}
