export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  delBtn: false,
  excelBtn: true,
  title: "气象站信息 ",
  "column": [
    {
    "type": "select",
    "label": "所属场站",
    "prop": "stationCode",
    rules: [{
      required: true,
      message: '请选择所属场站',
      trigger: 'blur'
    }],
    slot: true,
    filterable: true,
    dicUrl: '/electricfield/all'
  }

    , {
      "type": "input",
      "label": "设备编号",
      "prop": "equipmentNo",
      rules: [{
        required: true,
        message: '请填写设备编号',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "名称",
      "prop": "name",
      rules: [{
        required: true,
        message: '请填写名称',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "制造商",
      "prop": "manufacturer",
      rules: [{
        required: true,
        message: '请填写制造商',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "型号",
      "prop": "modelNumber",
      rules: [{
        required: true,
        message: '请填写型号',
        trigger: 'blur'
      }],
    }
    , {
      "type": "date",
      "label": "安装时间",
      "format": 'yyyy-MM-dd',
      "valueFormat": 'yyyy-MM-dd',
      "prop": "installationTime",
      rules: [{
        required: true,
        message: '请选择安装时间',
        trigger: 'blur'
      }],
    }
    // , {
    //   "type": "select",
    //   "label": "是否上报",
    //   "prop": "report",
    //   rules: [{
    //     required: true,
    //     message: '请选择是否上报',
    //     trigger: 'blur'
    //   }],
    //   dicData: [{
    //     value: '1',
    //     label: '是'
    //   }, {
    //     value: '0',
    //     label: '否'
    //   }],
    // }
    // , {
    //   "type": "select",
    //   "label": "入库时间间隔",
    //   "prop": "timeInterval",
    //   labelWidth: 120,
    //   rules: [{
    //     required: true,
    //     message: '请选择入库时间间隔',
    //     trigger: 'blur'
    //   }],
    //   dicData: [{
    //     value: 1,
    //     label: '一分钟'
    //   }, {
    //     value: 5,
    //     label: '五分钟'
    //   }],
    // }
    // , {
    //   "type": "input",
    //   "label": "绑定数据采集通道",
    //   "prop": "bindTunnel",
    //   labelWidth: 140,
    //   rules: [{
    //     required: true,
    //     message: '请选择通道',
    //     trigger: 'blur'
    //   }],
    // } , {
    //   "type": "select",
    //   "label": "是否为模板机",
    //   "prop": "analyticUse",
    //   value: '0',
    //   labelWidth: 120,
    //   rules: [{
    //     required: true,
    //     message: '请选择是否为模板机',
    //     trigger: 'blur'
    //   }],
    //   dicData: [{value: '1', label: '是',disabled: false},
    //     {value: '0', label: '否'}]
    // }
  ]
}
