export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  addBtn: false,
  delBtn: false,
  editBtn: false,
  menu: false,
  title: "气象站数据 ",
  excelBtn: true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "column": [{
    "type": "input",
    "label": "所属场站",
    "prop": "stationCode",
    dicUrl: '/electricfield/all'
  }, {
    "type": "input",
    "label": "设备主键ID",
    "prop": "equipmentId",
    dicUrl: '/weatherstationinfo/all'
  }
    , {
      "type": "input",
      "label": "时间",
      "prop": "time",
      formatter: (row, column, cellValue, index) => {
        const date = new Date(cellValue);
        return date.toLocaleString(); // 转换为本地时间并显示
      }
    }
    , {
      "type": "input",
      "label": "总辐射(W/㎡)",
      "prop": "globalR"
    }
    , {
      "type": "input",
      "label": "直接辐射(W/㎡)",
      "prop": "directR"
    }
    , {
      "type": "input",
      "label": "散射辐射(W/㎡)",
      "prop": "diffuseR"
    }
    // , {
    //   "type": "input",
    //   "label": "斜面辐射(W/㎡)",
    //   "prop": "obliqueR"
    // }
    , {
      "type": "input",
      "label": "环境温度(℃)",
      "prop": "airT"
    }
    , {
      "type": "input",
      "label": "气压(hPa)",
      "prop": "p"
    }
    , {
      "type": "input",
      "label": "湿度(%RH)",
      "prop": "rh"
    }
    , {
      "type": "input",
      "label": "光伏电池板温度(℃)",
      "prop": "cellT"
    }
    , {
      "type": "input",
      "label": "风速(m/s)",
      "prop": "ws"
    }
    , {
      "type": "input",
      "label": "风向(°)",
      "prop": "wd"
    }
    // , {
    //   "type": "input",
    //   "label": "日照小时数",
    //   "prop": "hourDA"
    // }
    // , {
    //   "type": "input",
    //   "label": "总辐射日累计(MJ/㎡)",
    //   "prop": "globalRDA"
    // }
    // , {
    //   "type": "input",
    //   "label": "直接辐射日累计(MJ/㎡)",
    //   "prop": "directRDA"
    // }
    // , {
    //   "type": "input",
    //   "label": "散射辐射日累计(MJ/㎡)",
    //   "prop": "diffuseRDA"
    // }
    // , {
    //   "type": "input",
    //   "label": "斜面辐射日累计(MJ/㎡)",
    //   "prop": "obliqueRDA"
    // }
  ]
}
