export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  title: "测风塔数据 ",
  excelBtn: true,
  addBtn: false,
  delBtn: false,
  editBtn: false,
  menu: false,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "column": [{
    "type": "input",
    "label": "所属场站",
    "prop": "stationCode",
    dicUrl: '/electricfield/all'
  },
    {
      "type": "input",
      "label": "设备主键ID",
      "prop": "equipmentId",
      dicUrl: '/windtowerinfo/all'
    }
    , {
      "type": "input",
      "label": "时间",
      "prop": "time",
      formatter: (row, column, cellValue, index) => {
        const date = new Date(cellValue);
        return date.toLocaleString(); // 转换为本地时间并显示
      }
    }
    , {
      "type": "input",
      "label": "温度瞬时值(℃)",
      "prop": "tinst"
    }
    , {
      "type": "input",
      "label": "湿度瞬时值(%RH)",
      "prop": "rhInst"
    }
    , {
      "type": "input",
      "label": "气压瞬时值(hPa)",
      "prop": "paInst"
    }
    , {
      "type": "input",
      "label": "10米风速瞬时值(m/s)",
      "prop": "wsInst10"
    }
    , {
      "type": "input",
      "label": "10米风向瞬时值(°)",
      "prop": "wdInst10"
    }
    , {
      "type": "input",
      "label": "30米风速瞬时值(m/s)",
      "prop": "wsInst30"
    }
    , {
      "type": "input",
      "label": "30米风向瞬时值(°)",
      "prop": "wdInst30"
    }
    , {
      "type": "input",
      "label": "50米风速瞬时值(m/s)",
      "prop": "wsInst50"
    }
    , {
      "type": "input",
      "label": "50米风向瞬时值(°)",
      "prop": "wdInst50"
    }
    , {
      "type": "input",
      "label": "70米风速瞬时值(m/s)",
      "prop": "wsInst70"
    }
    , {
      "type": "input",
      "label": "70米风向瞬时值(°)",
      "prop": "wdInst70"
    }
    , {
      "type": "input",
      "label": "轮毂高度风速瞬时值(m/s)",
      "prop": "wsInstHubHeight"
    }
    , {
      "type": "input",
      "label": "轮毂高度风向瞬时值(°)",
      "prop": "wdInstHubHeight"
    }
  ]
}
