export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  excelBtn: true,
  editBtn: false,
  delBtn: false,
  title: "风机信息 ",
  "column": [{
    "type": "select",
    "label": "所属场站",
    "prop": "stationCode",
    rules: [{
      required: true,
      message: '请填写场站编号',
      trigger: 'blur'
    }],
    filterable: true,
    dicUrl: '/electricfield/all',
  }, {
    "type": "input",
    "label": "设备编号",
    "prop": "equipmentNo",
    rules: [{
      required: true,
      message: '请填写设备编号',
      trigger: 'blur'
    }],
  }

    , {
      "type": "input",
      "label": "名称",
      "prop": "name",
      rules: [{
        required: true,
        message: '请填写名称',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "制造商",
      "prop": "manufacturer",
      rules: [{
        required: true,
        message: '请填写制造商',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "型号",
      "prop": "modelNumber",
      rules: [{
        required: true,
        message: '请填写型号',
        trigger: 'blur'
      }],
    }
    , {
      "type": "date",
      "label": "安装时间",
      "format": 'yyyy-MM-dd',
      "valueFormat": 'yyyy-MM-dd',
      "prop": "installationTime",
      "width": "90",
      rules: [{
        required: true,
        message: '请选择安装时间',
        trigger: 'blur'
      }],
    }
    , {
      "type": "date",
      "label": "并网日期",
      "format": 'yyyy-MM-dd',
      "valueFormat": 'yyyy-MM-dd',
      "prop": "parallelInDate",
      "width": "90",
      rules: [{
        required: true,
        message: '请选择并网日期',
        trigger: 'blur'
      }],
    }
    , {
      "type": "select",
      "label": "是否上报",
      "prop": "report",
      rules: [{
        required: true,
        message: '请选择是否上报',
        trigger: 'blur'
      }],
      dicData: [{
        value: 1,
        label: '是'
      }, {
        value: 0,
        label: '否'
      }],
    }
    , {
      "type": "select",
      "label": "入库时间间隔",
      "prop": "timeInterval",
      rules: [{
        required: true,
        message: '请选择入库时间间隔',
        trigger: 'blur'
      }],
      dicData: [{
        value: 1,
        label: '一分钟'
      }, {
        value: 5,
        label: '五分钟'
      }],
    }
    , {
      "type": "input",
      "label": "风机等级",
      "prop": "grade",
      rules: [{
        required: true,
        message: '请填写风机等级',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "设计空气密度",
      "prop": "airDensity",
      rules: [{
        required: true,
        message: '请填写空气密度',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "切入速度",
      "prop": "cutInSpeed",
      rules: [{
        required: true,
        message: '请填写切入速度',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "额定风速",
      "prop": "ratedWindSpeed",
      rules: [{
        required: true,
        message: '请填写额定风速',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "切出速度",
      "prop": "cutOutSpeed",
      rules: [{
        required: true,
        message: '请填写切出速度',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "生存风速",
      "prop": "liveWindSpeed",
      rules: [{
        required: true,
        message: '请填写生存风速',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "叶轮直径(m)",
      "prop": "windWheelDiameter",
      rules: [{
        required: true,
        message: '请填写叶轮直径',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "最大转速(m)",
      "prop": "windWheelMaxSpeed",
      rules: [{
        required: true,
        message: '请填写最大转速',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "最小转速(m)",
      "prop": "windWheelMinSpeed",
      rules: [{
        required: true,
        message: '请填写最小转速',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "额定转速(m)",
      "prop": "windWheelRatedSpeed",
      rules: [{
        required: true,
        message: '请填写额定转速',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "轮毂高度(m)",
      "prop": "hubHeight",
      rules: [{
        required: true,
        message: '请填写轮毂高度',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "使用寿命",
      "prop": "lifeLength",
      rules: [{
        required: true,
        message: '请填写使用寿命',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "最大功率",
      "prop": "maxPower",
      rules: [{
        required: true,
        message: '请填写最大功率',
        trigger: 'blur'
      }],
    }
    , {
      "type": "select",
      "label": "风机是否样板机",
      "prop": "sample",
      rules: [{
        required: true,
        message: '请选择是否样板机',
        trigger: 'blur'
      }],
      dicData: [{
        value: 1,
        label: '是'
      }, {
        value: 0,
        label: '否'
      }],
    }
    , {
      "type": "input",
      "label": "经度",
      "prop": "longitude",
      rules: [{
        required: true,
        message: '请填写经度',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "纬度",
      "prop": "latitude",
      rules: [{
        required: true,
        message: '请填写纬度',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "集电线路",
      "prop": "collectorCircuit",
      rules: [{
        required: true,
        message: '请填写集电线路',
        trigger: 'blur'
      }],
    }
    , {
      "type": "input",
      "label": "分期",
      "prop": "divideIntoDifferentPeriod",
      rules: [{
        required: true,
        message: '请填写分期',
        trigger: 'blur'
      }],
    }
  ]
}
