export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  excelBtn: true,
  menu: false,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  title: "风机数据 ",
  "column": [{
    "type": "select",
    "label": "所属场站",
    "prop": "stationCode",
    rules: [{
      required: true,
      message: '请填写场站编号',
      trigger: 'blur'
    }],
    filterable: true,
    dicUrl: '/electricfield/all'
  },
    {
      "type": "input",
      "label": "设备编号",
      "prop": "equipmentId"
    }
    , {
      "type": "input",
      "label": "状态",
      "prop": "status",
      formatter: (row, value, label, column) => {
        if (value == 1) {
          return label = "运行"
        }
        if (value == 2) {
          return label = "待机"
        }
        if (value == 3) {
          return label = "停用"
        }
        if (value == 5) {
          return label = "故障"
        }
      }
    }
    , {
      "type": "datetime",
      "label": "时间",
      "format": 'yyyy-MM-dd HH:mm',
      "valueFormat": 'yyyy-MM-dd HH:mm:ss',
      "prop": "time"
    }
    , {
      "type": "input",
      "label": "有功(KW)",
      "prop": "activePower"
    }
    , {
      "type": "input",
      "label": "无功(KVar)",
      "prop": "reactivePower"
    }
    , {
      "type": "input",
      "label": "功率因数",
      "prop": "powerFactor"
    }
    , {
      "type": "input",
      "label": "电压(V)",
      "prop": "voltage"
    }
    , {
      "type": "input",
      "label": "电流(A)",
      "prop": "electricalCurrent"
    }
    , {
      "type": "input",
      "label": "当日发电量(kW·h)",
      "prop": "dayElectricQuantity"
    }
    , {
      "type": "input",
      "label": "当日并网小时",
      "prop": "dayGridConnectedHours"
    }
    , {
      "type": "input",
      "label": "转速(rpm)",
      "prop": "windWheelRatedSpeed"
    }
    , {
      "type": "input",
      "label": "风速(m/s)",
      "prop": "ws"
    }
    , {
      "type": "input",
      "label": "风向(°)",
      "prop": "wd"
    }
    , {
      "type": "input",
      "label": "温度(℃)",
      "prop": "t"
    }
    , {
      "type": "input",
      "label": "桨距角(°)",
      "prop": "pitchAngle"
    }
    , {
      "type": "input",
      "label": "累积发电量(MW·h)",
      "prop": "cumulativeGeneratedEnergy"
    }
  ]
}
