package com.jiayue.ipp.common.data.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.core.annotation.Order;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @description: 审计功能字段
 * @author: yuanhao
 * @createDate: 2021/5/20
 * @version: 1.0
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AbstractBaseEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 创建人,不允许修改
	 */
	@Order(206)
	private String creator;

	/**
	 * 创建时间,不允许修改
	 */
	@Order(207)
	private LocalDateTime createTime;

	/**
	 * 最后修改者
	 */
	@Order(208)
	private String lastModifier;
	/**
	 * 最后修改时间
	 */
	@Order(209)
	private LocalDateTime lastModifyTime;

	/**
	 * 删除标识
	 */
	@Order(210)
	private String delFlag ="0";
}
