package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * idp_accuracy_calculation 准确率计算
 *
 * @author whc
 * @date 2022-10-17 15:08:48
 */
@Data
@TableName("idp_accuracy_calculation")
@EqualsAndHashCode(callSuper = true)
//@ApiModel(value = "idp_accuracy_calculation")
public class AccuracyCalculation extends BaseDataEntity<AccuracyCalculation> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
////    @ApiModelProperty(value = "主键ID")
    private String id;


//    /**
//     * 短期准确率
//     */
////    @ApiModelProperty(value = "短期准确率")
    private String shortTermAccuracy;
    /**
     * 由哪个预测厂家数据计算出来的准确率
     */
//    @ApiModelProperty(value = "所属预测厂家")
    private String forecastManufactor;

    /**
     * 超短期准确率
     */
//    @ApiModelProperty(value = "超短期准确率")
    private String ultraShortTermAccuracy;


    /**
     * 短期合格率
     */
//    @ApiModelProperty(value = "短期合格率")
    private String shortTermPass;


    /**
     * 超短期合格率
     */
//    @ApiModelProperty(value = "超短期合格率")
    private String ultraShortTermPass;


    /**
     * 时间
     */
//    @ApiModelProperty(value = "时间")
    private LocalDateTime time;
    /**
     * 类型
     */
//    @ApiModelProperty(value = "类型")
    private String type;

}
