package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import com.jiayue.ipp.common.data.enums.ProvinceEnum;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * idp_electric_field
 *
 * @author whc
 * @date 2022-03-18 15:48:48
 */
@Data
@TableName("idp_electric_field")
@EqualsAndHashCode(callSuper = true)
public class ElectricField extends BaseDataEntity<ElectricField> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
//    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 场站标识
     */
//    @ApiModelProperty(value = "场站标识")
    private String sign;


    /**
     * 电站名称
     */
//    @ApiModelProperty(value = "电站名称")
    private String name;


    /**
     * 别名(上网变电站名称)
     */
//    @ApiModelProperty(value = "别名(上网变电站名称)")
    private String netSubstationName;


    /**
     * 场站装机容量（MW）
     */
//    @ApiModelProperty(value = "场站装机容量（MW）")
    private BigDecimal capacity;


    /**
     * 并网设备数
     */
//    @ApiModelProperty(value = "并网设备数")
    private Integer gridCE;


    /**
     * 场站经度
     */
//    @ApiModelProperty(value = "场站经度")
    private BigDecimal longitude;


    /**
     * 场站纬度
     */
//    @ApiModelProperty(value = "场站纬度")
    private BigDecimal latitude;


    /**
     * altitude
     */
//    @ApiModelProperty(value = "altitude")
    private BigDecimal altitude;


    /**
     * 场站类型1:光伏电站,2:风力电站
     */
//    @ApiModelProperty(value = "场站类型1:光伏电站,2:风力电站")
    private String electricFieldTypeEnum;


    /**
     * 入库时间间隔
     */
//    @ApiModelProperty(value = "入库时间间隔")
    private Integer timeInterval;


    /**
     * 场站所属公司
     */
//    @ApiModelProperty(value = "场站所属公司")
    private String company;


    /**
     * 场站位置
     */
//    @ApiModelProperty(value = "场站位置")
    private String location;


    /**
     * 场站面积
     */
//    @ApiModelProperty(value = "场站面积")
    private BigDecimal area;

    /**
     * 预测厂家
     */
//    @ApiModelProperty(value = "预测厂家")
    private String forecastManufactor;

    /**
     * 首页数据所属预测厂家
     */
//    @ApiModelProperty(value = "首页数据所属预测厂家")
    private String belongForecastManufactor;

    /**
     * 上报省调
     */
//    @Enumerated(EnumType.STRING)
    private ProvinceEnum provinceEnum;
}
