package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * idp_file_analysis_record
 *
 * @author whc
 * @date 2022-03-18 15:48:51
 */
@Data
@TableName("idp_file_analysis_record")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_file_analysis_record")
public class FileAnalysisRecord extends BaseDataEntity<FileAnalysisRecord> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    private String fileTitle;


    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private String fileType;


    /**
     * 文件描述
     */
    @ApiModelProperty(value = "文件描述")
    private String fileDescription;


    /**
     * 文件存放路径
     */
    @ApiModelProperty(value = "文件存放路径")
    private String filePath;


    /**
     * 文件解析状态 1:成功 0:失败
     */
    @ApiModelProperty(value = "文件解析状态 1:成功 0:失败")
    private String fileStatus;


    /**
     * 备用字段A
     */
    @ApiModelProperty(value = "备用字段A")
    private String backupA;


    /**
     * 备用字段B
     */
    @ApiModelProperty(value = "备用字段B")
    private String backupB;


    /**
     * 备用字段C
     */
    @ApiModelProperty(value = "备用字段C")
    private String backupC;


    /**
     * 备用字段D
     */
    @ApiModelProperty(value = "备用字段D")
    private String backupD;


    /**
     * 备用字段E
     */
    @ApiModelProperty(value = "备用字段E")
    private String backupE;


    /**
     * 备用字段F
     */
    @ApiModelProperty(value = "备用字段F")
    private String backupF;


}
