package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jiayue.ipp.common.mybatis.base.NotLogicBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import javax.validation.constraints.Digits;

/**
 * idp_forecast_power_short_term
 *
 * @author whc
 * @date 2022-03-18 15:48:55
 */
@Data
@TableName("idp_forecast_power_short_term")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_forecast_power_short_term")
public class ForecastPowerShortTerm extends NotLogicBaseEntity<ForecastPowerShortTerm> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 数据生成日期
     */
    @ApiModelProperty(value = "数据生成日期")
    private Date genDate;


    /**
     * 预测时间
     */
    @ApiModelProperty(value = "预测时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date forecastTime;


    /**
     * 预测数据
     */
    @ApiModelProperty(value = "预测数据")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal fpValue = new BigDecimal(-99);


    /**
     * 预测厂家
     */
    @ApiModelProperty(value = "预测厂家")
    private String forecastManufactor;

}
