package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.NotLogicBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import javax.validation.constraints.Digits;

/**
 * idp_forecast_power_ultra_short_term_his
 *
 * @author whc
 * @date 2022-03-18 15:49:01
 */
@Data
@TableName("idp_forecast_power_ultra_short_term_his")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_forecast_power_ultra_short_term_his")
public class ForecastPowerUltraShortTermHis extends NotLogicBaseEntity<ForecastPowerUltraShortTermHis> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 生成日期
     */
    @ApiModelProperty(value = "生成日期")
    private Date genDate;


    /**
     * 预测时间
     */
    @ApiModelProperty(value = "预测时间")
    private Date forecastTime;


    /**
     * 预测厂家
     */
    @ApiModelProperty(value = "预测厂家")
    private String forecastManufactor;


    /**
     * 可用预测功率
     */
    @ApiModelProperty(value = "可用预测功率")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ableValue = new BigDecimal(-99);


    /**
     * 理论预测功率
     */
    @ApiModelProperty(value = "理论预测功率")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal theoryValue = new BigDecimal(-99);


    /**
     * 开机容量
     */
    @ApiModelProperty(value = "开机容量")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal suCapacity = new BigDecimal(-99);


    /**
     * 装机容量
     */
    @ApiModelProperty(value = "装机容量")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal capacity = new BigDecimal(-99);


    /**
     * 提前多久预测
     */
    @ApiModelProperty(value = "提前多久预测")
    private Integer forecastHowLongAgo;


}
