package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import javax.validation.constraints.Digits;

/**
 * idp_nwp_his
 *
 * @author whc
 * @date 2022-03-18 15:49:46
 */
@Data
@TableName("idp_nwp_his")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_nwp_his")
public class NwpHis extends BaseDataEntity<NwpHis> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;

    /**
     * 预测厂家
     */
    @ApiModelProperty(value = "预测厂家")
    private String forecastManufactor;

    /**
     * 提前多久预测
     */
    @ApiModelProperty(value = "提前多久预测")
    private Integer forecastHowLongAgo;


    /**
     * 预测时间
     */
    @ApiModelProperty(value = "预测时间")
    private LocalDateTime preTime;


    /**
     * 生成日期
     */
    @ApiModelProperty(value = "生成日期")
    private LocalDate scDate;


    /**
     * 生成时间
     */
    @ApiModelProperty(value = "生成时间")
    private LocalDateTime scTime;


    /**
     * 预测日期
     */
    @ApiModelProperty(value = "预测日期")
    private LocalDate preDate;


    /**
     * 温度
     */
    @ApiModelProperty(value = "温度")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal t = new BigDecimal(-99);


    /**
     * 湿度
     */
    @ApiModelProperty(value = "湿度")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal rh = new BigDecimal(-99);


    /**
     * 气压
     */
    @ApiModelProperty(value = "气压")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal pressure = new BigDecimal(-99);


    /**
     * 短波辐射
     */
    @ApiModelProperty(value = "短波辐射")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal swr = new BigDecimal(-99);


    /**
     * 长波辐射
     */
    @ApiModelProperty(value = "长波辐射")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal lwr = new BigDecimal(-99);


    /**
     * 直辐射
     */
    @ApiModelProperty(value = "直辐射")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal directRadiation = new BigDecimal(-99);


    /**
     * 散辐射
     */
    @ApiModelProperty(value = "散辐射")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal diffuseRadiation = new BigDecimal(-99);


    /**
     * 热感通量
     */
    @ApiModelProperty(value = "热感通量")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal senf = new BigDecimal(-99);


    /**
     * 10米风速
     */
    @ApiModelProperty(value = "10米风速")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ws10 = new BigDecimal(-99);


    /**
     * 30米风速
     */
    @ApiModelProperty(value = "30米风速")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ws30 = new BigDecimal(-99);


    /**
     * 50米风速
     */
    @ApiModelProperty(value = "50米风速")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ws50 = new BigDecimal(-99);


    /**
     * 70米风速
     */
    @ApiModelProperty(value = "70米风速")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ws70 = new BigDecimal(-99);


    /**
     * 80米风速
     */
    @ApiModelProperty(value = "80米风速")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ws80 = new BigDecimal(-99);


    /**
     * 90米风速
     */
    @ApiModelProperty(value = "90米风速")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ws90 = new BigDecimal(-99);


    /**
     * 100米风速
     */
    @ApiModelProperty(value = "100米风速")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ws100 = new BigDecimal(-99);


    /**
     * 170米风速
     */
    @ApiModelProperty(value = "170米风速")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ws170 = new BigDecimal(-99);


    /**
     * 10米风向
     */
    @ApiModelProperty(value = "10米风向")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal wd10 = new BigDecimal(-99);


    /**
     * 30米风向
     */
    @ApiModelProperty(value = "30米风向")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal wd30 = new BigDecimal(-99);


    /**
     * 50米风向
     */
    @ApiModelProperty(value = "50米风向")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal wd50 = new BigDecimal(-99);


    /**
     * 70米风向
     */
    @ApiModelProperty(value = "70米风向")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal wd70 = new BigDecimal(-99);


    /**
     * 80米风向
     */
    @ApiModelProperty(value = "80米风向")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal wd80 = new BigDecimal(-99);


    /**
     * 90米风向
     */
    @ApiModelProperty(value = "90米风向")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal wd90 = new BigDecimal(-99);


    /**
     * 100米风向
     */
    @ApiModelProperty(value = "100米风向")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal wd100 = new BigDecimal(-99);


    /**
     * 170米风向
     */
    @ApiModelProperty(value = "170米风向")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal wd170 = new BigDecimal(-99);

}
