package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import javax.validation.constraints.Digits;

/**
 * idp_power_station_status_data
 *
 * @author whc
 * @date 2022-03-18 15:49:20
 */
@Data
@TableName("idp_power_station_status_data")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_power_station_status_data")
public class PowerStationStatusData extends BaseDataEntity<PowerStationStatusData> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private LocalDateTime time;


    /**
     * 备用字段9
     */
    @ApiModelProperty(value = "备用字段9")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal data9 = new BigDecimal(-99);


    /**
     * 备用字段10
     */
    @ApiModelProperty(value = "备用字段10")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal data10 = new BigDecimal(-99);

    /**
     * 实际功率（MW）
     */
    @ApiModelProperty(value = "实际功率（MW）")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal realValue = new BigDecimal(-99);


    /**
     * 可用功率（MW）
     */
    @ApiModelProperty(value = "可用功率（MW）")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal ableValue = new BigDecimal(-99);


    /**
     * 理论功率（MW）
     */
    @ApiModelProperty(value = "理论功率（MW）")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal theoryValue = new BigDecimal(-99);

    /**
     * 开机容量
     */
    @ApiModelProperty(value = "开机容量")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal openCapacity = new BigDecimal(-99);


    /**
     * 装机容量（MW）
     */
    @ApiModelProperty(value = "装机容量（MW）")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal capacity = new BigDecimal(-99);



    /**
     * jsonText
     */
    @ApiModelProperty(value = "jsonText")
    private String jsonText;



    /**
     * 备用字段1
     */
    @ApiModelProperty(value = "备用字段1")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal data1 = new BigDecimal(-99);


    /**
     * 备用字段2
     */
    @ApiModelProperty(value = "备用字段2")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal data2 = new BigDecimal(-99);


    /**
     * 备用字段3
     */
    @ApiModelProperty(value = "备用字段3")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal data3 = new BigDecimal(-99);


    /**
     * 备用字段4
     */
    @ApiModelProperty(value = "备用字段4")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal data4 = new BigDecimal(-99);


    /**
     * 备用字段5
     */
    @ApiModelProperty(value = "备用字段5")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal data5 = new BigDecimal(-99);


    /**
     * 备用字段6
     */
    @ApiModelProperty(value = "备用字段6")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal data6 = new BigDecimal(-99);


    /**
     * 备用字段7
     */
    @ApiModelProperty(value = "备用字段7")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal data7 = new BigDecimal(-99);


    /**
     * 备用字段8
     */
    @ApiModelProperty(value = "备用字段8")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal data8 = new BigDecimal(-99);

}
