package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * idp_quartz
 *
 * @author whc
 * @date 2022-03-18 15:49:31
 */
@Data
@TableName("idp_quartz")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_quartz")
public class Quartz extends BaseDataEntity<Quartz> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 任务名称
     */
    @ApiModelProperty(value = "任务名称")
    private String jobName;


    /**
     * 任务状态
     */
    @ApiModelProperty(value = "任务状态")
    private String jobState;


    /**
     * 执行类
     */
    @ApiModelProperty(value = "执行类")
    private String executeClass;


    /**
     * 任务描述
     */
    @ApiModelProperty(value = "任务描述")
    private String description;


    /**
     * cron时间表达式或轮询时间
     */
    @ApiModelProperty(value = "cron时间表达式或轮询时间")
    private String cronExpression;


    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    private String jobType;


    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private LocalDateTime startTime;


    /**
     * 下次执行时间
     */
    @ApiModelProperty(value = "下次执行时间")
    private LocalDateTime nextFireTime;


    /**
     * 上次执行时间
     */
    @ApiModelProperty(value = "上次执行时间")
    private LocalDateTime prevFireTime;


    /**
     * 最后执行时间
     */
    @ApiModelProperty(value = "最后执行时间")
    private LocalDateTime laetFireTime;


}
