package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.core.annotation.Order;

import java.time.LocalDateTime;

/**
 * @description: 用户表
 * @author: yuanhao
 * @createDate: 2021/5/21
 * @version: 1.0
 */
@Data
@TableName("sys_user")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "sys_user")
public class SysUser extends AbstractBaseEntity {

	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "用户ID")
	private Long userId;

	@ApiModelProperty(value = "用户名")
	private String username;

	@ApiModelProperty(value = "密码")
	private String password;

	@ApiModelProperty(value = "姓名")
	private String fullname;

	@ApiModelProperty(value = "用户类型")
	private String userType;

	@ApiModelProperty(value = "密码最后一次修改时间")
	private LocalDateTime pwdChangedTime;

	@ApiModelProperty(value = "随机盐")
	private String salt;

	@ApiModelProperty(value = "锁定状态")
	private String lockFlag;

	@ApiModelProperty(value = "锁定原因")
	private String lockedReason;

	@ApiModelProperty(value = "头像")
	private String avatar;

	@ApiModelProperty(value = "性别")
	private String sex;

	@ApiModelProperty(value = "生日")
	private String birthdate;

	@ApiModelProperty(value = "电话号码")
	private String phone;

	@ApiModelProperty(value = "邮件地址")
	private String email;

	@ApiModelProperty(value = "微信号")
	private String wechat;

	@ApiModelProperty(value = "证件类型")
	private String credentialsType;

	@ApiModelProperty(value = "证件号码")
	private String credentialsNumber;

	@ApiModelProperty(value = "住址")
	private String homeAddress;

	@ApiModelProperty(value = "微信openid")
	private String wxOpenid;

	@ApiModelProperty(value = "小程序openid")
	private String miniOpenid;

	@ApiModelProperty(value = "企鹅openid")
	private String qqOpenid;

	@ApiModelProperty(value = "租户ID")
	private Long tenantId;

	@ApiModelProperty(value = "备注")
	private String remark;

}

