package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.PhysicalBasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 上报通道表
 *
 * @author xsl
 * @date 2022-04-12 19:32:22
 */
@Data
@TableName("fu_upload_file_channel")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "上报通道表")
public class UploadFileChannel extends PhysicalBasicEntity<UploadFileChannel> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;


    /**
     * 备用字段A
     */
    @ApiModelProperty(value = "备用字段A")
    private String backupA;


    /**
     * 备用字段B
     */
    @ApiModelProperty(value = "备用字段B")
    private String backupB;


    /**
     * 备用字段C
     */
    @ApiModelProperty(value = "备用字段C")
    private String backupC;


    /**
     * 备用字段D
     */
    @ApiModelProperty(value = "备用字段D")
    private String backupD;


    /**
     * 备用字段E
     */
    @ApiModelProperty(value = "备用字段E")
    private String backupE;


    /**
     * 上报对象ID
     */
    @ApiModelProperty(value = "上报对象ID")
    private Long uploadObjectId;


    /**
     * 通道名称
     */
    @ApiModelProperty(value = "通道名称")
    private String channelName;


    /**
     * 本地IP
     */
    @ApiModelProperty(value = "本地IP")
    private String localIp;


    /**
     * 本地端口
     */
    @ApiModelProperty(value = "本地端口")
    private String localPort;


    /**
     * 远端IP
     */
    @ApiModelProperty(value = "远端IP")
    private String remoteIp;

    /**
     * 远端端口
     */
    @ApiModelProperty(value = "远端端口")
    private String remotePort;

    /**
     * 上报文件名称长度
     */
    @ApiModelProperty(value = "上报文件名称长度")
    private String uploadFileNameLengthEnum;


    /**
     * 上报文件单次传输字节
     */
    @ApiModelProperty(value = "上报文件单次传输字节")
    private String uploadFileSingleByteEnum;


    /**
     * FTP/SFTP用户名/102山东
     */
    @ApiModelProperty(value = "FTP/SFTP用户名/102山东")
    private String uploadUserName;


    /**
     * FTP/SFTP密码/102山东
     */
    @ApiModelProperty(value = "FTP/SFTP密码/102山东")
    private String uploadPassword;


    /**
     * FTP/SFTP服务端路径
     */
    @ApiModelProperty(value = "FTP/SFTP服务端路径")
    private String pathService;


    /**
     * 通道备注
     */
    @ApiModelProperty(value = "通道备注")
    private String channelRemarks;


    /**
     * FTP模式
     */
    @ApiModelProperty(value = "FTP模式")
    private String ftpPassiveModeEnum;

    /**
     * FTP/SFTP是否多路径(0否 1是)
     */
    @ApiModelProperty(value = "FTP/SFTP是否多路径")
    private String isMultiPath;
}
