package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.PhysicalBasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 上报日志表
 *
 * @author xsl
 * @date 2022-04-12 19:33:24
 */
@Data
@TableName("fu_upload_file_log")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "上报日志表")
public class UploadFileLog extends PhysicalBasicEntity<UploadFileLog> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;


    /**
     * 场站编号
     */
    @ApiModelProperty(value = "场站编号")
    private String stationCode;


    /**
     * 备用字段A
     */
    @ApiModelProperty(value = "备用字段A")
    private String backupA;


    /**
     * 备用字段B
     */
    @ApiModelProperty(value = "备用字段B")
    private String backupB;


    /**
     * 备用字段C
     */
    @ApiModelProperty(value = "备用字段C")
    private String backupC;


    /**
     * 备用字段D
     */
    @ApiModelProperty(value = "备用字段D")
    private String backupD;


    /**
     * 备用字段E
     */
    @ApiModelProperty(value = "备用字段E")
    private String backupE;


    /**
     * 上报对象主键ID
     */
    @ApiModelProperty(value = "上报对象主键ID")
    private Long uploadObjectId;


    /**
     * 上报对象名称
     */
    @ApiModelProperty(value = "上报对象名称")
    private String uploadObjectName;


    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    private String fileName;


    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private String fileTypeEnum;


    /**
     * 文件状态
     */
    @ApiModelProperty(value = "文件状态")
    private String fileStatusEnum;


    /**
     * 上报协议
     */
    @ApiModelProperty(value = "上报协议")
    private String uploadProtocolEnum;


    /**
     * 上报次数
     */
    @ApiModelProperty(value = "上报次数")
    private Integer uploadCounter;


    /**
     * 文件备注
     */
    @ApiModelProperty(value = "文件备注")
    private String fileRemarks;


}
