package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.PhysicalBasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 上报预测公司表
 *
 * @author xsl
 * @date 2022-04-12 19:30:10
 */
@Data
@TableName("fu_upload_forecast_company")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "上报预测公司表")
public class UploadForecastCompany extends PhysicalBasicEntity<UploadForecastCompany> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;


    /**
     * 上报对象ID
     */
    @ApiModelProperty(value = "上报对象ID")
    private Long uplaodObjectId;


    /**
     * 场站编号
     */
    @ApiModelProperty(value = "场站编号")
    private String stationCode;


    /**
     * 公司标识
     */
    @ApiModelProperty(value = "公司标识")
    private String companySign;


}
