package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.PhysicalBasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 上报对象表
 *
 * @author xsl
 * @date 2022-04-12 19:31:16
 */
@Data
@TableName("fu_upload_object")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "上报对象表")
public class UploadObject extends PhysicalBasicEntity<UploadObject> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;


    /**
     * 备用字段A
     */
    @ApiModelProperty(value = "备用字段A")
    private String backupA;


    /**
     * 备用字段B
     */
    @ApiModelProperty(value = "备用字段B")
    private String backupB;


    /**
     * 备用字段C
     */
    @ApiModelProperty(value = "备用字段C")
    private String backupC;


    /**
     * 备用字段D
     */
    @ApiModelProperty(value = "备用字段D")
    private String backupD;


    /**
     * 备用字段E
     */
    @ApiModelProperty(value = "备用字段E")
    private String backupE;


    /**
     * 上报对象编号
     */
    @ApiModelProperty(value = "上报对象编号")
    private String objectNo;


    /**
     * 上报对象名称
     */
    @ApiModelProperty(value = "上报对象名称")
    private String uploadObjectName;


    /**
     * 上报文件类型 使用"，"分割
     */
    @ApiModelProperty(value = "上报文件类型 使用逗号分割")
    private String uploadFileType;


    /**
     * 上报文件字符集
     */
    @ApiModelProperty(value = "上报文件字符集")
    private String uploadFileCharSetEnum;


    /**
     * 上报协议
     */
    @ApiModelProperty(value = "上报协议")
    private String uploadProtocolEnum;

    /**
     * 对象状态
     */
    @ApiModelProperty(value = "对象状态")
    private String uploadObjectStatusEnum;

    /**
     * 上报对象备注
     */
    @ApiModelProperty(value = "上报对象备注")
    private String uploadObjectRemarks;


}
