package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.data.enums.EquipmentTypeEnum;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * idp_wind_tower_info
 *
 * @author whc
 * @date 2022-03-18 15:49:56
 */
@Data
@TableName("idp_wind_tower_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_wind_tower_info")
public class WindTowerInfo extends BaseDataEntity<WindTowerInfo> {
    private static final long serialVersionUID = 1L;

    public WindTowerInfo() {
        this.setEquipmentType(EquipmentTypeEnum.WINDTOWER.getCode());
    }

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 备用字段A
     */
    @ApiModelProperty(value = "备用字段A")
    private String backupA;


    /**
     * 备用字段B
     */
    @ApiModelProperty(value = "备用字段B")
    private String backupB;


    /**
     * 备用字段C
     */
    @ApiModelProperty(value = "备用字段C")
    private String backupC;


    /**
     * 备用字段D
     */
    @ApiModelProperty(value = "备用字段D")
    private String backupD;


    /**
     * 备用字段E
     */
    @ApiModelProperty(value = "备用字段E")
    private String backupE;


    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private Integer equipmentType;


    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;


    /**
     * 制造商
     */
    @ApiModelProperty(value = "制造商")
    private String manufacturer;


    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String modelNumber;


    /**
     * 安装时间
     */
    @ApiModelProperty(value = "安装时间")
    private LocalDate installationTime;


    /**
     * 是否上报 1:是 0 否
     */
    @ApiModelProperty(value = "是否上报 1:是 0 否")
    private String report;


    /**
     * 入库时间间隔 单位 s
     */
    @ApiModelProperty(value = "入库时间间隔 单位 s")
    private Integer timeInterval;


    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private String equipmentNo;


    /**
     * 测风塔是否样板机 1:是 0:否
     */
    @ApiModelProperty(value = "测风塔是否样板机 1:是 0:否")
    private Integer sample;


    /**
     * 绑定数据采集通道
     */
    @ApiModelProperty(value = "绑定数据采集通道")
    private String bindTunnel;

    /**
     * 是否作为解析使用 1:是 0 否
     */
    @ApiModelProperty(value = "是否上报 1:是 0 否")
    private String analyticUse;
}
