package com.jiayue.ipp.common.data.entity.an;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.data.enums.an.AnChannelType;
import com.jiayue.ipp.common.data.enums.an.UseStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import java.io.Serializable;

/**
 * ftp解析文件
 * Parse file
 * @author tl
 * @version 1.0
 */
@Data
@TableName("pf_parsing_channel")
@ApiModel(value = "pf_parsing_channel")
public class ParsingChannel implements Serializable {

    /**
     * Id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 通道名称
     */
    @ApiModelProperty(value = "通道名称")
    private String channelName;


    /**
     * 通道类型
     */
    @ApiModelProperty(value = "通道类型")
    @Enumerated(EnumType.STRING)
    private AnChannelType anChannelType;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态:1使用，2停用")
    @Enumerated(EnumType.STRING)
    private UseStatusEnum useStatus;


    /**
     * 远端IP
     */
    @ApiModelProperty(value = "远端IP")
    private String remoteIp;

    /**
     * 远端端口
     */
    @ApiModelProperty(value = "远端端口")
    private String remotePort;


    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;


    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")
    private String password;

}
