package com.jiayue.ipp.common.data.entity.an;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import java.io.Serializable;
import java.util.Date;

@Data
@TableName("pf_parsing_log")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "pf_parsing_log")
public class ParsingLog extends BaseDataEntity<ParsingDqInfo> implements Serializable {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;

    /**
     * 文件名
     */
    @ApiModelProperty(value = "文件名")
    private String fileName;

    /**
     * 文件解析状态
     */
    @ApiModelProperty(value = "文件解析状态1成功0失败")
    private String parsingFileStatus;

    /**
     * 文件解析状态描述
     */
    @ApiModelProperty(value = "文件解析状态描述")
    private String parsingDescribe;

    /**
     * 解析时间
     */
    @ApiModelProperty(value = "解析时间")
    @Temporal(TemporalType.TIMESTAMP)
    private Date parsingTime;


    /**
     * 解析
     */
    @ApiModelProperty(value = "解析次数")
    private String parsingTimes;


    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private String fileType;
}
