package com.jiayue.ipp.common.data.entity.an;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * dq解析配置
 * Parse file
 * @author tl
 * @version 1.0
 */
@Data
@TableName("pf_parsing_nbq_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "pf_parsing_nbq_info")
public class ParsingNbqInfo extends ParsingInfo<ParsingNbqInfo> implements Serializable {


    /**
     * 设备名称（该项对应本地设备中的设备名称）
     */
    @ApiModelProperty(value = "设备名称")
    private String equipmentName;


    /**
     * 状态值为1代表运行，2代表待机，3代表停用，4代表故障
     */
    @ApiModelProperty(value = "状态值为1代表运行，2代表待机，3代表停用，4代表故障")
    private String status;


    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private String time;


    /**
     * 有功（KW）
     */
    @ApiModelProperty(value = "有功（KW）")
    private String activePower;


    /**
     * 无功（KVar）
     */
    @ApiModelProperty(value = "无功（KVar）")
    private String reactivePower;


    /**
     * 功率因数
     */
    @ApiModelProperty(value = "功率因数")
    private String powerFactor;


    /**
     * 电压
     */
    @ApiModelProperty(value = "电压")
    private String voltage;


    /**
     * 电流
     */
    @ApiModelProperty(value = "电流")
    private String electricalCurrent;


    /**
     * 当日发电量
     */
    @ApiModelProperty(value = "当日发电量")
    private String dayElectricQuantity;


    /**
     * 累积发电量
     */
    @ApiModelProperty(value = "累积发电量")
    private String cumulativeGeneratedEnergy;


    /**
     * 当日并网小时数
     */
    @ApiModelProperty(value = "当日并网小时数")
    private String dayGridConnectedHours;

}
