package com.jiayue.ipp.common.data.entity.an;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * rp解析配置
 * Parse file
 * @author tl
 * @version 1.0
 */
@Data
@TableName("pf_parsing_rp_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "pf_parsing_rp_info")
public class ParsingRpInfo extends ParsingInfo<ParsingRpInfo> implements Serializable {


    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private String time;


    /**
     * 实际功率（MW）
     */
    @ApiModelProperty(value = "实际功率（MW）")
    private String realValue;


    /**
     * 可用功率（MW）
     */
    @ApiModelProperty(value = "可用功率（MW）")
    private String ableValue;


    /**
     * 理论功率（MW）
     */
    @ApiModelProperty(value = "理论功率（MW）")
    private String theoryValue;

    /**
     * 开机容量
     */
    @ApiModelProperty(value = "开机容量")
    private String openCapacity;


    /**
     * 装机容量（MW）
     */
    @ApiModelProperty(value = "装机容量（MW）")
    private String capacity;
}
