package com.jiayue.ipp.common.data.entity.an;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.BaseDataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import java.io.Serializable;

/**
 * ftp解析路径
 * Parse file
 * @author tl
 * @version 1.0
 */
@Data
@TableName("pf_parsing_url")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "pf_parsing_url")
public class ParsingUrl extends BaseDataEntity<ParsingUrl> implements Serializable {

    /**
     * Id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;

    /**
     * 绑定通道id
     */
    @ApiModelProperty(value = "绑定通道id")
    private String cId;

    /**
     * 路径使用状态
     */
    @ApiModelProperty(value = "路径使用状态:1使用，2停用")
    @Enumerated(EnumType.STRING)
    private String urlStatus;


    /**
     * 路径
     */
    @ApiModelProperty(value = "路径")
    private String url;


    /**
     * 预测厂家
     */
    @ApiModelProperty(value = "预测厂家")
    private String forecastManufactor;


}
