package com.jiayue.ipp.common.mybatis.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author yh
 * @date 2019-06-24
 * <p>
 * 数据权限注解
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface DataPermissions {
	/**
	 * 权限字段  默认是station_code
	 * @return
	 */
    String value() default "station_code" ;
	/**
	 * 权限方法范围 排除权限校验的mapper方法名称
	 * @return
	 */
	String[] scope() default {};

	/**
	 * 自定义方法 权限字段  xxx:xx    例如: mapper中有自定义方法customize，权限字段为 c.station_code =>  customize:c.station_code
	 * @return
		 */
	String[]  customize() default {};
}
