package com.jiayue.ipp.common.mybatis.base;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

/**
 * mybatis entity 基础entity
 * @param <T> 继承者
 */
@Data
public class BaseEntity<T extends Model<?>> extends Model<T> {

	/**
	 * 数据权限存放map
	 */

	@TableField(exist = false)
	Map<String,String> Params = new HashMap<>();
	/**
	 * 创建者
	 */
	@TableField(fill = FieldFill.INSERT)
	private String creator;
	/**
	 * 创建时间
	 */

	@TableField( fill = FieldFill.INSERT)
	private LocalDateTime createTime;
	/**
	 * 最后修改者
	 */

	@TableField(fill = FieldFill.INSERT_UPDATE)
	private String lastModifier;
	/**
	 * 最后修改时间
	 */

	@TableField(fill = FieldFill.INSERT_UPDATE)
	private LocalDateTime lastModifyTime;


	@TableLogic
	@TableField(fill = FieldFill.INSERT)
	private String delFlag;
}
