package com.jiayue.ipp.idp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ipp.common.data.entity.ForecastPowerUltraShortTerm;
import com.jiayue.ipp.common.data.entity.ForecastPowerUltraShortTermHis;

import java.util.Date;
import java.util.List;

/**
 * idp_forecast_power_ultra_short_term_his
 *
 * @author whc
 * @date 2022-03-18 15:49:01
 */
public interface ForecastPowerUltraShortTermHisService extends IService<ForecastPowerUltraShortTermHis> {
    /**
     * 根据场站编号和时间范围来查询
     *
     * @param stationCode        场站编号
     * @param startTime          开始时间
     * @param endTime            结束时间
     * @param cdqPoint           超短期点位
     * @param forecastManufactor 预测厂家
     * @return
     */
    List<ForecastPowerUltraShortTermHis> findByStationCodeAndStartTimeAndEndTimeAndHowLongAgoAndForecastManufactor(String stationCode, Date startTime, Date endTime, Integer cdqPoint, String forecastManufactor);

    List<ForecastPowerUltraShortTermHis> findByForecastTimeBetweenAndForecastHowLongAgoAndStationCode(Long startTime, Long endTime, Integer howLongAgo, String stationCode);

    List<ForecastPowerUltraShortTermHis> findByForecastTimeAndStationCode(Long finalTime, String stationCode);
}
