package com.jiayue.ipp.idp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jiayue.ipp.common.data.entity.ForecastPowerUltraShortTerm;
import com.jiayue.ipp.common.data.entity.PowerStationStatusData;
import com.jiayue.ipp.idp.dto.CompositeDataDto;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * idp_power_station_status_data
 *
 * @author whc
 * @date 2022-03-18 15:49:20
 */
public interface PowerStationStatusDataService extends IService<PowerStationStatusData> {
    /**
     * 根据场站编号和时间范围来查询
     *
     * @param stationCode 场站编号
     * @param startTime   开始时间
     * @param endTime     结束时间
     * @return
     */
    List<PowerStationStatusData> findByStationCodeAndStartTimeAndEndTime(String stationCode, Date startTime, Date endTime);

    List<ArrayList<String>> timeStamp(Date startTime, Date endTime) throws ParseException;

    Map<String, List> getCompositeData(String stationCode, Date startTime, Date endTime, String forecastManufactor, Integer cdqPoint, Integer dqPoint);

    List<PowerStationStatusData> findByTimeBetweenAndStationCode(Date pointStarTime, Date pointEndTime, String stationCode);
}
